document.addEventListener('DOMContentLoaded', () => {
  itemMap();
  profitStartCounter();
  userStartCounter();
  calculatedPotentialPayout();
});

let profitTotal = 2;
let calculateDeposit = 250;
let calculateTime = 1;
let calculatePayout = 0;
let userTotal = 1;
function calculatedPotentialPayout() {
  let deposit = +calculateDeposit,
    time = +calculateTime;
  calculatePayout = Math.floor(deposit + (deposit / 7.31) * time);
  document.querySelector('.calcPayout').innerHTML = calculatePayout
    .toString()
    .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
  document.querySelector('.calcDeposit').innerHTML = deposit
    .toString()
    .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
  document.querySelector('.calcTime').innerHTML = time;
}

function profitStartCounter() {
  let timer = setInterval(() => {
    profitTotal += 1234567;
    if (profitTotal >= 126796996) {
      clearInterval(timer);
      profitRandomCounter(1234, 12);
    }
    document.querySelector('.profitTotal').innerHTML = profitTotal
      .toString()
      .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
  }, 50);
}

function profitRandomCounter(maxCount, minCount) {
  let interval = generateRandomCount(2000, 500);
  setTimeout(() => {
    profitTotal += generateRandomCount(maxCount, minCount);
    document.querySelector('.profitTotal').innerHTML = profitTotal
      .toString()
      .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
    profitRandomCounter(maxCount, minCount);
  }, interval);
}

function userStartCounter() {
  let timer = setInterval(() => {
    userTotal += 1234;

    if (userTotal >= 77089) {
      clearInterval(timer);
      userRandomCounter(9, 1);
    }
    document.querySelector('.calcUserTitle').innerHTML = userTotal
      .toString()
      .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
  }, 50);
}

function userRandomCounter(maxCount, minCount) {
  let interval = generateRandomCount(2000, 500);

  setTimeout(() => {
    userTotal += generateRandomCount(maxCount, minCount);
    document.querySelector('.calcUserTitle').innerHTML = userTotal
      .toString()
      .replace(/\B(?=(\d{3})+(?!\d))/g, ',');
    userRandomCounter(maxCount, minCount);
  }, interval);
}

function generateRandomCount(max, min) {
  return Math.floor(Math.random() * (max - min) + min);
}

// world
let items = [
  { x: 635, y: 152, animation: 2 },
  { x: 523, y: 150, animation: 4 },
  { x: 220, y: 120, animation: 3 },
  { x: 330, y: 430, animation: 5 },
  { x: 220, y: 300, animation: 4 },
  { x: 315, y: 520, animation: 6 },
  { x: 300, y: 200, animation: 8 },
  { x: 30, y: 120, animation: 1 },
  { x: 700, y: 120, animation: 6 },
  { x: 390, y: 75, animation: 6 },
  { x: 600, y: 200, animation: 2 },
  { x: 510, y: 270, animation: 7 },
  { x: 920, y: 475, animation: 2 },
  { x: 677, y: 241, animation: 9 },
  { x: 645, y: 336, animation: 10 },
  { x: 650, y: 120, animation: 9 },
  { x: 665, y: 135, animation: 4 },
  { x: 800, y: 150, animation: 7 },
  { x: 950, y: 200, animation: 10 },
  { x: 850, y: 300, animation: 1 },
  { x: 780, y: 325, animation: 3 },
  { x: 300, y: 130, animation: 4 },
];
function itemMap() {
  const worldMap = document.querySelector('.worldMap');
  for (let i = 0; i < items.length; i++) {
    let item = document.createElement('div');
    item.setAttribute('class', 'item');
    worldMap.appendChild(item);
    item.style.left = items[i].x + 'px';
    item.style.top = items[i].y + 'px';
    let circle = document.createElement('div');
    circle.setAttribute('class', 'circle');
    item.appendChild(circle);
    circle.style.animationDelay = items[i].animation + 's';
  }
}

// date
const formatDate = () => {
  const days = ['Domenica', 'Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato'];
  const months = [
    'Gennaio',
    'Febbraio',
    'Marzo',
    'Aprile',
    'Maggio',
    'Giugno',
    'Luglio',
    'Agosto',
    'Settembre',
    'Ottobre',
    'Novembre',
    'Dicembre',
  ];

  const now = new Date();

  const dayName = days[now.getDay()];
  const day = now.getDate();
  const monthName = months[now.getMonth()];
  const year = now.getFullYear();

  return `${dayName}, ${monthName} ${day}, ${year}`;
};
let tableDates = document.querySelectorAll('.blockDate');
tableDates.forEach((date) => (date.innerHTML = formatDate()));
